---
title: AudioListener.setPosition()
slug: Web/API/AudioListener/setPosition
tags:
  - API
  - AudioListener
  - Deprecated
  - Method
  - Reference
  - Référence(2)
  - Web Audio API
  - setPosition
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>setPosition()</code> method of the {{ domxref("AudioListener") }} Interface defines the position of the listener.</p>

<p>The three parameters <code>x</code>, <code>y</code> and <code>z</code> are unitless and describe the listener's position in 3D space according to the right-hand Cartesian coordinate system. {{domxref("PannerNode")}} objects use this position relative to individual audio sources for spatialisation.</p>

<p>The default value of the position vector is <code>(0,</code> <code>0,</code> <code>0)</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var myListener = audioCtx.listener;
myListener.setPosition(1,1,1);</pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt>x</dt>
 <dd>The x position of the listener in 3D space.</dd>
 <dt>y</dt>
 <dd>The y position of the listener in 3D space.</dd>
 <dt>z</dt>
 <dd>The z position of the listener in 3D space.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiolistener-setposition', 'setPosition()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioListener.setPosition")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
